﻿using Hotline.Share.Dtos.Order;
using Hotline.Share.Enums.Order;
using Mapster;
using Newtonsoft.Json.Linq;
using Sharing.Province.HuiJu.Send;

namespace Sharing.Application.Mappers
{
    public class MapperConfigs : IRegister
    {
        public void Register(TypeAdapterConfig config)
        {
            config.ForType<OrderDto, SubmitCaseInfo>()
                .Ignore(d=>d.Id)
                .Map(d => d.OrderID, x => x.Id)
                .Map(d => d.CaseTitle, x => x.Title)
                .Map(d => d.CaseRegister, x => x.EmployeeName)
                .Map(d => d.CaseRegisterNo, x => x.EmployeeStaffNo)
                .Map(d => d.CaseDate, x => Convert.ToDateTime(x.CreationTime))
                .Map(d => d.PhoneNumber, x => x.Contact)
                .Map(d => d.AppLicantName, x => x.FromName)
                .Map(d => d.AppLicantAge, x => x.AgeRangeCode)
                .Map(d => d.AppLicantId, x => x.LicenceNo)
                .Map(d => d.CaseAccord, x => x.Hotspot.ProvinceCode)
                .Map(d => d.CaseContent, x => x.Content)
                .Map(d => d.CaseProcessType, x => Convert.ToInt32(x.ProcessType) )
                // .Map(d => d.CaseIsPublic, x => x.)  //是否公开
                .Map(d => d.CaseIsSecrect, x => x.NeedContact ? "0" : "1")
                .Map(d => d.CaseIsVisit, x => x.ProcessType == Hotline.Share.Enums.Order.EProcessType.Zhiban ? "0" : "1")
                .Map(d => d.EventDate, x => x.IncidentTime)
                .Map(d => d.PushType, x => x.PushTypeCode)
                //.Map(d => d.CaseAddress, x => x.Province == x.City ? x.City + x.County + x.Street : x.Province + x.City + x.County + x.Street)
                //.Map(d => d.AppLicantSex, x => x.FromGender == EGender.Female ? "0" : x.FromGender == EGender.Male ? "1" : "2")
                // .Map(d => d.CaseIsUrgent, x => x.EmergencyLevel == EEmergencyLevel.QuiteEmergency ? "10" : x.EmergencyLevel == EEmergencyLevel.Emergency ? "20" : "30")

                //  .Map(d => d.CertifiCateType, x => x.LicenceTypeCode == "10" ? "10" :
                //  x.LicenceTypeCode == "40" ? "20" :
                //  x.LicenceTypeCode == "55" ? "30" :
                //  x.LicenceTypeCode == "57" ? "40" :
                //  "50")

              
              ;
        }
    }
}
